type IPv4Address = string;
type IPv6Address = string;
type IPv4CIDR = string;
type IPv6CIDR = string;
type Network = IPv4Address | IPv4CIDR | IPv6Address | IPv6CIDR;
type Networks = Network | Network[];
type IpVersion = 4 | 6 | 0;
type ParsedCidr = {
    cidr: string;
    ip: string;
    version: IpVersion;
    prefix: string;
    start: bigint;
    end: bigint;
};
type NormalizeOpts = {
    compress?: boolean;
    hexify?: boolean;
};
export declare function normalizeCidr(cidr: Networks, { compress, hexify }?: NormalizeOpts): Networks;
export declare function parseCidr(str: Network): ParsedCidr;
export declare function mergeCidr(nets: Networks): Network[];
export declare function excludeCidr(basenets: Networks, exclnets: Networks): any[];
export declare function expandCidr(nets: Networks): Networks[];
export declare function overlapCidr(a: Networks, b: Networks): boolean;
export declare function containsCidr(a: Networks, b: Networks): boolean;
declare const _default: {
    mergeCidr: typeof mergeCidr;
    excludeCidr: typeof excludeCidr;
    expandCidr: typeof expandCidr;
    overlapCidr: typeof overlapCidr;
    containsCidr: typeof containsCidr;
    normalizeCidr: typeof normalizeCidr;
    parseCidr: typeof parseCidr;
};
export default _default;
